8

Today, I installed texlive by sudo apt-get install texlive-full.
Then I found out that's not the latest version, so I uninstalled it.

I have read some threads related to it, but I am getting more confused as I am a very beginner level user of ubuntu.
Kindly provide me step by step commands through which I can install the latest texlive 2020 from terminal.

3
  • Just curious - why do you think you need latest TeXLive? This software is very stable, so you can stick with 2018. Even JonathonF provides packaged 2019.
    – N0rbert
    Apr 16, 2020 at 17:33
  • 1
    Does this answer your question? Why don't the Ubuntu repositories have the latest versions of software?
    – N0rbert
    Apr 16, 2020 at 17:33
  • 2
    @N0rbert, no, I was thinking I should install the latest texlive. so I just wanna know what do I need to run on my terminal to install the latest one.
    – raf
    Apr 17, 2020 at 4:30

1 Answer 1

9

You will get TeXLive 2019 on Ubuntu 18.04 LTS by using JonathonF PPA:

sudo add-apt-repository ppa:jonathonf/texlive-2019
sudo apt-get update
sudo apt-get install texlive

Another option is to install Ubuntu 20.04 LTS and use TeXLive 2020 from it.


As usual this PPA may be removed by the commands below:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:jonathonf/texlive-2019
11
  • after running sudo apt-get install texlive-full it is showing: paste.ubuntu.com/p/8N2pp7cSsK
    – raf
    Apr 17, 2020 at 8:59
  • This means that PPA does not provide really full package. You have to decide which languages and styles do you really need and install only these packages. Do you have particular reason to not to use TeXLive 2018?
    – N0rbert
    Apr 17, 2020 at 9:02
  • yeah, I think I only need English, but I am not sure about styles... Please tell me which ones should I install and how I can do it.
    – raf
    Apr 17, 2020 at 9:04
  • It depends on the document templates. I would recommend you start from some example and then install optional stuff on-the-go.
    – N0rbert
    Apr 17, 2020 at 9:06
  • After completing the installation of texlive, I am facing problem in compiling biblatex. It says: Error: Could not start the command: biber Can you kindly tell me what I should I do?
    – raf
    Apr 19, 2020 at 8:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.